# Submit Transactions

## Submit Transactions

<mark style="color:green;">`POST`</mark> `{{BASE_URL}}/api/v1/transactions/upload`

This endpoint allows you to submit transaction data for credit scoring.

#### Headers

<table><thead><tr><th width="206">Name</th><th width="171">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authentication</td><td>String</td><td>Authentication token to track down who is emptying our stocks.</td></tr></tbody></table>

#### Request Body

<table><thead><tr><th>Name</th><th width="233">Type</th><th>Description</th></tr></thead><tbody><tr><td>transactions</td><td>String</td><td>A list of transaction objects</td></tr></tbody></table>

{% tabs %}
{% tab title="JSON Request" %}

<pre class="language-javascript"><code class="lang-javascript"><strong>{
</strong><strong>  "transactions": [
</strong>     { 
       "merchant_id": "P-CUST-2023-00083",
       "transaction_id": "P-SINV-2023-192927",
       "face_amount": 1943,
       "transaction_time": "2023-10-14 00:00:00",
       "other_details": {}
     },
     {
       "merchant_id": "P-CUST-2023-00084",
       "transaction_id": "P-SINV-2023-227940",
       "face_amount": 47504,
       "transaction_time": "2023-11-06 00:00:00",
       "other_details": {}
     },
     {...}
  ]
<strong>}
</strong></code></pre>

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "status": 202,
    "message": "Transactions submitted successfully",
    "data": {
        "ref_id": "9e360d21-7601-4366-80a6-d8d4afffadc2"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/transactions-operations/submit-transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
